<nav class='navbar navbar-expand navbar-light bg-light'>
    <a class='navbar brand'>{{title}}</a>
    <ul class='nav nav-pills'>
        <li class="nav-item"><a class='nav-link' [routerLink]="['/login']">Login</a></li>
        <li class="nav-item"><a class='nav-link' [routerLink]="['/register']">Register</a></li>
        <li class="nav-item"><a class='nav-link' [routerLink]="['/shop']">Shop</a></li>
    </ul>
</nav>

<div *ngIf="invalid">
    <div class="alert alert-danger text-center" role="alert">Invalid Username and password! If you are not a registered user, you can register <a [routerLink]="['/register']">here</a>.</div>
</div>

<form novalidate
      (ngSubmit)="onAuthorize()"
      [formGroup]="loginForm"
      style="margin: 40px 0">

    <div class="form-group">
        <label for="username">Username</label>
        <input type="text"
               class="form-control"
               id="username"
               placeholder="Enter username"
               formControlName="username"
               [ngClass]="{'is-invalid': (loginForm.get('username').touched ||
                                                loginForm.get('username').dirty) &&
                                                !loginForm.get('username').valid}"/>
        <span class="invalid-feedback">
                        <span *ngIf="loginForm.get('username').errors?.required">
                            Please enter the username.
                        </span>
        </span>
    </div>

    <div class="form-group">
        <label for="password">Password</label>
        <input type="password"
               class="form-control"
               id="password"
               placeholder="Password"
               formControlName="password"
               [ngClass]="{'is-invalid': (loginForm.get('password').touched ||
                                                loginForm.get('password').dirty) &&
                                                !loginForm.get('password').valid}"/>
        <span class="invalid-feedback">
                        <span *ngIf="loginForm.get('password').errors?.required">
                            Please enter the password.
                        </span>
        </span>
    </div>

    <button class="btn btn-primary"
            type="submit"
            style="width:80px"
            [title]="loginForm.valid ? 'Save your entered data' : 'Disabled until the form data is valid'"
            [disabled]="!loginForm.valid">
        Login
    </button>
</form>